-- Database for camp sites
-- coding: utf-8 'ä

Camps = {
	["Vale of Thrain"] = { z="Erid Luin", r=1, l="19.1s,101.7w", d="W of Noglond" },
	["Falathlorn"] = { z="Erid Luin", r=1, l="24.3s,93.7w", d="W of Duilond" },
	["Treasure Field Base Camp"] = { z="Erid Luin", r=1, l="18.7s,98.2w", h=1, d="N of Gonamon" },
	["The Hill"] = { z="Shire", r=1, l="29.9s,71.1w", d="by Party Tree" },
	["Bree"] = { z="Bree-land", a="Bree", r=1, l="31.8s,51.3w", d="S Bree" },
	["The Horsefields"] = { z="Bree-land", r=1, l="23.8s,52.7w", d="E of Old Greenway Fort" },
	["Southern Bree-fields"] = { z="Bree-land", r=1, l="28.1s,54.3w", d="NW of Bree" },
	["Southern Barrow-downs"] = { z="Bree-land", r=1, l="33.7s,55.5w", h=1, d="E of Great Barrow" },
	["Bullroarer's Way"] = { z="Yondershire", r=1, l="24.2s,74.1w", d="by stable" },
	["Foxden Road"] = { z="Yondershire", r=1, l="29.4s,79.2w", d="by stable" },
	["Tighfiel"] = { z="Yondershire", r=1, l="27.3s,80.9w", d="top of a hill" },
	["Sarch Vorn"] = { z="Cardolan", r=1, l="37.7s,52.2w", h=1, d="NW of Dol Ernil" },
	["Nan Wathren"] = { z="North Downs", r=1, l="14.7s,50.7w", d="E of bridge" },
	["Fornost"] = { z="North Downs", r=1, l="6.1s,55.3w", h=15, d="by instance entrance" },
	["Ost Lagoros"] = { z="North Downs", r=1, l="9.4s,47.3w", f=5, d="by Orthonn" },
	["Annundir"] = { z="North Downs", r=1, l="9.9s,49.5w", h=10, d="W of bridge" },
	["Rhunenlad"] = { z="North Downs", r=1, l="12.5s,28.5w", h=10, d="SE of Estildin" },
	["Minas Eriol"] = { z="Lone-lands", r=1, l="36.0s,39.5w", d="S of Forsaken Inn" },
	["Candaith's Encampment"] = { z="Lone-lands", r=1, l="30.1s,37.9w", d="NW Weathertop" },
	["The Outer Gates"] = { z="Lone-lands", r=1, l="28.0s,25.2w", h=5, d="W of Garth Agarwen" },
	["Ost Haer"] = { z="Lone-lands", r=1, l="37.5s,27.9w", f=5, d="SE Lone-lands" },
	["Bullroarer's Sward"] = { z="Evendim", r=1, l="23.4s,67.9w", h=10, d="W of Oatbarton" },
	["Barandalf"] = { z="Evendim", r=1, l="15.8s,63.2w", f=10, d="N of Dwalling" },
	["Northern Emyn Uial"] = { z="Evendim", r=1, l="6.2s,74.7w", f=20, d="W of Eavespires" },
	["Echad Garthadir"] = { z="Evendim", r=1, l="19.1s,70.9w", h=35, d="in Annuminas" },
	["Nan Tornaeth"] = { z="Trollshaws", r=1, l="28.2s,15.3w", h=15, d="in N Trollshaws" },
	["Echad Candelleth"] = { z="Trollshaws", r=1, l="37.1s,14.1w", f=15, d="in S outpost" },
	["High Moor"] = { z="Trollshaws", r=1, l="33.9s,8.1w", h=20, d="N of Giant Valley" },
	["Ost Chall"] = { z="Trollshaws", r=1, l="26.9s,14.2w", f=0, h=15, d="by instance entrance" },
	["Janis-leiri"] = { z="Forochel", r=1, l="7.4n,75.4w", f=29, d="SW of Pynti-peldot" },
	["Ja-rannit"] = { z="Forochel", r=1, l="17.5n,64.5w", f=29, d="SE of Suri-kula" },
	["Suri-kula"] = { z="Forochel", r=1, l="19.5n,73.7w", h=29, d="SW of Suri-kula" },
	["Kuru-leiri"] = { z="Forochel", r=1, l="19.5n,83.7w", f=29, d="in NW outpost" },
	["Lehma-koti"] = { z="Angmar", r=1, l="3.1s,39.0w", f=15, d="Earth-kin outpost" },
	["Fail-a-Khro"] = { z="Angmar", r=1, l="2.5n,37.3w", f=20, d="NE of Aughaire" },
	["Tryn Lhuig"] = { z="Angmar", r=1, l="1.7s,33.3w", f=20, d="in S outpost" },
	["Eastern Malenhad"] = { z="Angmar", r=1, l="2.7s,26.5w", f=25, d="N of Gabilshathur" },
	["Gorothlad"] = { z="Angmar", r=1, l="4.1n,21.7w", h=25, d="E edge of Angmar" },
	["Myrkworth"] = { z="Angmar", r=1, l="6.9n,25.8w", f=25, d="outpost on hill" },
	["Tarmunn Sursa"] = { z="Angmar", r=1, l="12.2n,32.0w", h=30, d="E of Carn Dum" },
	["Carn Dum(U)"] = { z="Angmar", r=1, l="10.0n,32.6w", h=30, d="W of Unugarth" },
	["Carn Dum"] = { z="Angmar", r=1, l="11.4n,33.7w", h=40, d="S of instance" },
	["Bail Avarc"] = { z="Angmar", r=1, l="70.2n,28.1w", h=30, d="w of stable" },
	["Iorelen's Camp"] = { z="Angmar", r=1, l="10.7n,15.6w", h=35, d="SW of Rift of Nurz Ghashu" },
	["Eastern Bruinen Source"] = { z="Misty Mountains", r=1, l="22.8s,0.7e", f=20, d="central area" },
	["Bruinen Source North"] = { z="Misty Mountains", r=1, l="19.1s,2.9w", h=20, d="S of Helegrod" },
	["Giant Halls"] = { z="Misty Mountains", r=1, l="29.9s,2.4e", h=25, d="far S area" },
	["Northern High Pass"] = { z="Misty Mountains", r=1, l="21.4s,5.9e", h=25, d="S of Goblin Town" },
	["Southern High Pass"] = { z="Misty Mountains", r=1, l="27.8s,7.6e", f=25, d="on a high ledge" },
	["Pend Eregion"] = { z="Eregion", r=1, l="41.4s,11.1w", f=33, d="NE Eregion" },
	["Tai Caradhras"] = { z="Eregion", r=1, l="49.1s,9.3w", f=34, d="NW of Echad Dunann" },
	["Echad Mirobel"] = { z="Eregion", r=1, l="52.3s,17.1w", h=35, d="inside outpost" },
	["Echad Idhrenfair"] = { z="Enedwaith", r=1, l="63.5s,21.5w", h=40, d="SE of Maur Tulhau" },
	["Echad Daervunn"] = { z="Enedwaith", r=1, l="66.6s,21.5w", h=40, d="N of Mournshaws" },
	["Thror's Coomb"] = { z="Enedwaith", r=1, l="69.4s,13.8w", h=40, d="Nars's Peak; Zudrugund" },
	["Nar's Peak"] = { z="Enedwaith", r=1, l="65.7s,8.6w", h=40, d="E mountain top" },
	["Lich Bluffs"] = { z="Enedwaith", r=1, l="72.8s,14.8w", h=40, d="S end of main road" },
	["Lich Bluffs(OD)"] = { z="Enedwaith", r=1, l="74.0s,19.3w", h=40, d="outside Ost Dunhoth" },
-- Rhovanion starts here
	["Durin's Threshold"] = { z="Moria", a="the Great Delving", r=2, l="8.2s,116.2w", f=35, d="by W entrance" },
	["Lamab-dum"] = { z="Moria", a="the Great Delving", r=2, l="7.5s,113.4w", f=35, d="NW of Dolven-view" },
	["Silvertine Lodesj"] = { z="Moria", a="Silvertine Lodes", r=2, l="10.6s,113.3w", h=37, d="by NW tracks" },
	["Menem-berej"] = { z="Moria", a="Silvertine Lodes", r=2, l="11.1s,112.7w", h=37, d="by The Forgotten Treasury" },
	["Hulwul-nefekh"] = { z="Moria", a="The Water-works", r=2, l="14.1s,112.7w", h=39, d="Center of Water Works" },
	["The Water-works"] = { z="Moria", a="The Water-works", r=2, l="14.1s,112.7w", h=39, d="NW of Rotting Cellar" },
	["Harazgund"] = { z="Moria", a="The Water-works", r=2, l="17.6s,116.9w", h=39, d="outside Vile-maw" },
	["The Flaming Deeps"] = { z="Moria", a="The Flaming Deeps", r=2, l="16.4s,109.6w", h=41, d="E of Water-works" },
	["The Gate of Ruin"] = { z="Moria", a="Redhorn Lodes", r=2, l="10.3s,103.9w", h=39, d="by the Grand Stair" },
	["Zelem-melek"] = { z="Moria", a="Zelem-melek", r=2, l="8.4s,109.0w", f=39, d="SE of Lonely Span" },
	["The Sixteenth Hall"] = { z="Moria", a="Nud-Melek", r=2, l="11.0s,101.1w", h=41, d="NE of Redhorn Lodes" },
	["The Bridge of Khazad-dum"] = { z="Moria", a="Nud-Melek", r=2, l="8.1s,98.5w", f=41, d="W end of First Hall" },
	["Tharakh Bazan"] = { z="Moria", a="Durin's Way", l="4.2s,108.5w", f=36, d="W of Jazargund" },
	["Zirakzigil"] = { z="Moria", a="Zirakzigil", r=2, l="15.5n,108.5w", h=42, d="outside Mirror-halls" },
	["The Foundations of Stone(S)"] = { z="Moria", a="Foundations of Stone", r=2, l="13.4s,100.4w", f=43, d="outside Skumfil" },
	["The Foundations of Stone(DD)"] = { z="Moria", a="Foundations of Stone", r=2, l="15.4s,97.4w", h=43, d="outside Dark Delvings" },
	["Taur Hith"] = { z="Lothlorien", r=2, l="11.4s,70.6w", f=39, d="NW of Cerin Amroth" },
	["Echad Mothelen"] = { z="Mirkwood", r=2, l="13.5s,58.1w", h=37, d="in Dourstocks" },
	["Thangulhad"] = { z="Mirkwood", r=2, l="12.6s,46.5w", f=37, d="in Thangulhad settlement" },
	["Helethir"] = { z="Mirkwood", r=2, l="16.2s,44.5w", h=37, d="below Dol Guldur" },
-- Eriador (Dunland)
	["Echad Naeglanc"] = { z="Dunland", r=1, l="77.4s,15.8w", h=46, d="by stable" },
	["Galtrev"] = { z="Dunland", r=1, l="80.6s,16.6w", f=47, d="S of Galtrev" },
	["Gravenwood"] = { z="Dunland", r=1, l="78.3s,11.2w", f=48, d="by stable" },
	["South Gravenwood"] = { z="Dunland", r=1, l="83.1s,14.6w", h=48, d="sw edge" },
	["Lower Barnavon"] = { z="Dunland", r=1, l="84.8s,16.7w", h=48, d="in Barnavon" },
	["Starkmoor"] = { z="Dunland", r=1, l="83.0s,21.3w", f=47, d="nw Avardin" },
	["Dunbog"] = { z="Dunland", r=1, l="85.8s,21.5w", f=55, d="ne edge" },
	["Isendale"] = { z="Gap of Rohan", r=1, l="87.2s,7.4w", f=49, d="in Forthbrond" },
	["Grimbold's Camp"] = { z="Gap of Rohan", r=1, l="87.9s,3.9w", f=50, d="by stable" },
	["Dagoras' Camp"] = { z="Nan Curunir", r=1, l="84.8s,3.5w", f=50, d="by stable" },
	["Pit of Iron"] = { z="Gap of Rohan", r=1, l="49.9n,92.9w", f=55, d="by entrance" },
-- Rhovanion
	["Haldirith"] = { z="Great River", r=2, l="24.1s,63.6w", f=50, d="by stable" },
	["Stangard"] = { z="Great River", r=2, l="26.1s,63.1w", f=50, d="S of stable" },
	["The Cuthstan"] = { z="Great River", r=2, l="25.8s,65.9w", f=50, d="in camp" },
	["Parth Celebrant"] = { z="Great River", r=2, l="26.6s,58.3w", h=50, d="by stable" },
	["Idmar's Camp"] = { z="Great River", r=2, l="268.5s,56.8w", h=50, d="SE of Parth Celebrant" },
	["Aculf's Camp"] = { z="Great River", r=2, l="29.1s,55.2w", f=50, d="by stable" },
	["The Rushgore"] = { z="Great River", r=2, l="28.8s,53.3w", h=50, d="in swamp" },
	["Ehteburg"] = { z="Great River", r=2, l="31.4s,52.1w", f=50, d="in camp" },
	["Harwick"] = { z="East Rohan", r=2, l="39.7s,52.5w", f=60, d="in town" },
	["Caddabrand's Camp"] = { z="East Rohan", r=2, l="51.4s,55.8w", f=60, d="in camp" },
	["Eastfold"] = { z="West Rohan", r=2, l="66.4s,60.8w", f=70, d="W of Fenmarch" },
	["Tordag's Camp"] = { z="West Rohan", r=2, l="45.6s,72.2w", f=70, d="SE of Torsbury" },
	["Westfold"] = { z="West Rohan", r=2, l="61.6s,84.5w", f=60, d="WNW of Grimslade" },
	["Dunharrow"] = { z="West Rohan", r=2, l="70.3s,71.4w", f=70, d="by milestone" },
	["Eastfold Homesteads"] = { z="West Rohan", r=2, l="63.6s,68.2w", h=70, d="by stable" },
	["Kingstead Homesteads"] = { z="West Rohan", r=2, l="59.1s,67.5w", h=70, d="by stable" },
	["Tham Aeldir"] = { z="Strongholds", r=2, l="15.5n,34.8w", f=90, d="top of peak" },
	["Bridgethorp"] = { z="Strongholds", r=2, l="21.3n,25.6w", f=90, d="SE of Bridgethorp" },
	["Skald's Drop"] = { z="Iron Hills", r=2, l="21.2n,15.7w", f=100, d="by stable" },
	["Gladdenmere"] = { z="Vales of Anduin", r=2, l="0.5n,65.1w", f=105, d="by S boat" },
-- Gondor
	["Sardol"] = { z="West Gondor", r=3, l="61.0s,69.6w", h=85, d="SW of Morlad" },
	["Tarlang's Crown"] = { z="West Gondor", r=3, l="70.5s,66.6w", h=85, d="NE of Edhellond" },
	["Bar Elir"] = { z="West Gondor", r=3, l="70.3s,57.8w", h=85, d="SW of Calembel" },
	["Herion's Camp"] = { z="Central Gondor", r=3, l="82.9s,52.2w", h=85, d="W of Linhir" },
	["Aerthir"] = { z="Central Gondor", r=3, l="83.6s,39.9w", h=85, d="central Lebennin" },
	["Halach"] = { z="East Gondor", r=3, l="81.9s,26.5w", h=85, d="SE of Glaniath" },
	["Lossarnach"] = { z="East Gondor", r=3, l="73.9s,21.6w", h=85, d="cliff SW of Harlond" },
	["Faramir's Lookout"] = { z="East Gondor", r=3, l="65.0s,6.1w", f=0, h=85, d="SE of Osgiliath" },
	["Osgiliath"] = { z="East Gondor", r=3, l="70.3s,71.4w", h=85, d="in Osgiliath Culverts" },
	["the War-stead"] = { z="Far Anorien", r=3, l="45.6s,27.3w", f=85, d="N of Eilenach" },
-- Mordor
	["a-b Minas Tirith"] = { z="March of the King", r=4, l="65.7s,16.4w", f=0, h=90, d="by city gates" },
	["The Slag-hills"] = { z="the Wastes", r=4, l="34.4s,3.5w", h=90, d="by milestone" },
	["Anglach"] = { z="Gorgoroth", r=4, l="39.8s,5.8e", f=85, d="at gates" },
	["Durthang"] = { z="Gorgoroth", r=4, l="49.0s,2.2e", f=85, d="SE of gates" },
	["Lughash"] = { z="Gorgoroth", r=4, l="43.6s,15.7e", f=85, d="inside door" },
	["Kam Lagurz"] = { z="Gorgoroth", r=4, l="64.2s,10.7e", f=85, d="at dungeon entrance" },
	["Viznak's Hideout"] = { z="Gorgoroth", r=4, l="52.0s,28.1e", f=85, d="near Kala-gijak" },
	["Naerband"] = { z="Gorgoroth", r=4, l="60.9s,16.7e", f=85, d="near Naerband" },
	["Ennyn Ur"] = { z="Gorgoroth", r=4, l="61.3s,27.5e", f=85, d="near Ennyn Ur" },
	["Echad Taerdim"] = { z="Morgul Vale", r=4, l="61.9s,0.6e", f=105, d="by milestone" },
	["Taen Orwath"] = { z="Morgul Vale", r=4, l="61.3s,27.5e", f=105, d="by stable" },
	["Minus Morgul"] = { z="Morgul Vale", r=4, l="65.4s,0.7e", f=105, d="by stable" },
	["Bar Elir"] = { z="King's Gondor", r=4, l="70.3s,57.8w", f=115, d="SW of Calembel" },
	["Barad Rill"] = { z="King's Gondor", r=4, l="82.9s,52.2w", f=115, d="NW of Barad Rill" },
	["Tarlang's Crown"] = { z="King's Gondor", r=4, l="70.5s,66.6w", f=115, d="E of Dol Amroth" },
	["Sardol"] = { z="King's Gondor", r=4, l="61.0s,69.6w", f=115, d="town center" },
	["Echad Lendir"] = { z="Outer Gondor", r=4, l="61.9s,0.6w", f=125, d="W of Barad Faen" },
	}
Rally = {
	["Thorin's Gate"] = { z="Erid Luin", a="Thorin's Gate", r=1, l="19.6s,100.3w" },
	["Refuge of Edhelion"] = { z="Erid Luin", r=1, l="14.4s,100.5w" },
	["Low Lands(n)"] = { z="Erid Luin", r=1, l="15.2s,103.1w" },
	["Low Lands(w)"] = { z="Erid Luin", r=1, l="19.6s,100.3w" },
	["Low Lands(g)"] = { z="Erid Luin", r=1, l="20.1s,98.1w" },
	["Haudh Lin"] = { z="Erid Luin", r=1, l="21.2s,94.5w" },
	["Falathlorn(d)"] = { z="Erid Luin", r=1, l="24.9s,93.7w" },
	["Falathlorn(c)"] = { z="Erid Luin", r=1, l="27.3s,92.7w" },
	["The Delving Fields"] = { z="Shire", r=1, l="32.7s,75.2w" },
	["Tookland"] = { z="Shire", r=1, l="33.3s,71.9w" },
	["Green Hill Country"] = { z="Shire", r=1, l="32.1s,66.5w" },
	["Bindhole Wood"] = { z="Shire", r=1, l="27.5s,68.9w" },
	["Foxden Road"] = { z="Yondershire", r=1, l="29.0s,78.8w" },
	["Nobottle"] = { z="Yondershire", r=1, l="26.3s,78.9w" },
	["Yondershire(W)"] = { z="Yondershire", r=1, l="25.7s,84.5w" },
	["Archet"] = { z="Bree-land", r=1, l="25.6s,48.8w" },
	["Chetwood"] = { z="Bree-land", r=1, l="28.8s,48.1w" },
	["Southern Bree-fields"] = { z="Bree-land", r=1, l="29.1s,53.8w" },
	["The Midgewater Marshes"] = { z="Bree-land", r=1, l="31.0s,46.7w" },
	["Adso's Camp"] = { z="Bree-land", r=1, l="29.0s,57.1w" },
	["Buckland"] = { z="Bree-land", r=1, l="32.8s,61.7w" },
	["Wildwood"] = { z="Bree-land", r=1, l="20.5s,57.8w" },
	["Mossward"] = { z="Swanfleet", r=1, l="60.0s,34.4w" },
	["Glyn Helyg"] = { z="Swanfleet", r=1, l="62.0s,27.4w" },
	["Lhan Garan"] = { z="Swanfleet", r=1, l="55.8s,27.4w" },
	["Western Eregion"] = { z="Swanfleet", r=1, l="50.7s,20.5w" },
	["Herne"] = { z="Cardolan", r=1, l="48.3s,44.6w" },
	["Southern Andrath"] = { z="Cardolan", r=1, l="38.9s,48.6w" },
	["Southern Downs"] = { z="Cardolan", r=1, l="44.1s,37.8w" },
	["Annunios"] = { z="Lone-lands", r=1, l="34.3s,40.8w" },
	["Nain Enidh"] = { z="Lone-lands", r=1, l="32.3s,29.9w" },
	["Haragmar"] = { z="Lone-lands", r=1, l="30.6s,27.2w" },
	["Trestlebridge"] = { z="North Downs", r=1, l="15.6s,54.1w" },
	["Greenway"] = { z="North Downs", r=1, l="18.5s,53.7w" },
	["Fields of Fornost"] = { z="North Downs", r=1, l="9.2s,55.7w" },
	["Kingsfell"] = { z="North Downs", r=1, l="10.3s,45.3w" },
	["Nan Amlug East"] = { z="North Downs", r=1, l="9.6s,38.8w" },
	["Dol Dinen"] = { z="North Downs", r=1, l="14.3s,39.0w" },
	["South Trollshaws"] = { z="Trollshaws", r=1, l="33.4s,21.1w" },
	["Brunen Gorges"] = { z="Trollshaws", r=1, l="32.1s,14.8w" },
	["South Trollshaws"] = { z="Trollshaws", r=1, l="33.4s,21.1w" },
	["Angle of Mitheithel"] = { z="Trollshaws", r=1, l="38.4s,21.3w" },
	["High Moor"] = { z="Trollshaws", r=1, l="33.4s,9.7w" },
	["Rivendell Valley"] = { z="Trollshaws", r=1, a="Rivendell", l="30.5s,4.3w" },
	["Gloin's Camp"] = { z="Misty Mountains", r=1, l="24.9s,3.8w" },
	["High Crag"] = { z="Misty Mountains", r=1, l="24.7s,1.2e" },
	["Northern High Pass"] = { z="Misty Mountains", r=1, l="23.5s,4.3e" },
	["Tyl Annun"] = { z="Evendim", r=1, l="15.9s,70.1w" },
	["Bullroarer's Sward"] = { z="Evendim", r=1, l="22.3s,66.3w" },
	["Parth Aduial"] = { z="Evendim", r=1, l="10.4s,65.1w" },
	["Northern Emyn Uial"] = { z="Evendim", r=1, l="5.8s,71.6w" },
	["Men Erain"] = { z="Evendim", r=1, l="18.0s,66.8w" },
	["Ita-ma"] = { z="Forochel", r=1, l="1.7n,59.0w" },
	["Taur Orthon"] = { z="Forochel", r=1, l="24.9s,70.4w" },
	["Norsu-hauta"] = { z="Forochel", r=1, l="9.1n,3.8w" },
	["Talvi-muri"] = { z="Forochel", r=1, l="17.4n,85.2w" },
	["Ja-rannit"] = { z="Forochel", r=1, l="19.5n,70.3w" },
	["Lehma-koti"] = { z="Angmar", r=1, l="2.9s,39.5w" },
	["Aughaire"] = { z="Angmar", r=1, l="0.9n,39.2w" },
	["Tym Lhuig"] = { z="Angmar", r=1, l="1.7s,33.1w" },
	["Eastern Malenhad"] = { z="Angmar", r=1, l="2.9s,27.1w" },
	["Myrkworth"] = { z="Angmar", r=1, l="6.9n,25.9w" },
	["Glad Ereg"] = { z="Eregion", r=1, l="41.4s,16.1w" },
	["High Hollin"] = { z="Eregion", r=1, l="47.2s,12.7w" },
	["Low Hollin"] = { z="Eregion", r=1, l="49.7s,16.0w" },
	["Nan Sirannon"] = { z="Eregion", r=1, l="51.7s,9.5w" },
	["Durin's Threshold"] = { z="Moria", a="the Great Delving", r=2, l="7.8s,115.7w" },
	["The Great Delving"] = { z="Moria", a="the Great Delving", r=2, l="6.0s,112.7w" },
	["Dolven-view"] = { z="Moria", a="the Great Delving", r=2, l="8.0s,112.1w" },
	["The Deep Descent"] = { z="Moria", a="the Silvertine Lodes", r=2, l="9.7s,112.7w" },
	["The Water-works"] = { z="Moria", a="The Water-works", r=2, l="15.4s,112.3w" },
	["Harazgund"] = { z="Moria", a="The Water-works", r=2, l="17.6s,117.1w" },
	["Durin's Way"] = { z="Moria", a="Durin's Way", r=2, l="2.9s,111.5w" },
	["Zelem-melek"] = { z="Moria", a="Zelem-melek", r=2, l="7.7s,109.2w" },
	["Twenty-first Hall"] = { z="Moria", a="Twenty-first Hall", r=2, l="5.5s,105.3w" },
	["Jazargund"] = { z="Moria", a="Durin's Way", r=2, l="3.9s,106.3w" },
	["Redhorn Lodes(n)"] = { z="Moria", a="Redhorn Lodes", r=2, l="10.7s,103.4w" },
	["Redhorn Lodes(w)"] = { z="Moria", a="Redhorn Lodes", r=2, l="12.1s,106.7w" },
	["The Flaming Deeps(n)"] = { z="Moria", a="The Flaming Deeps", r=2, l="13.7s,108.0w" },
	["The Flaming Deeps(s)"] = { z="Moria", a="The Flaming Deeps", r=2, l="16.5s,109.5w" },
	["Nud-melek"] = { z="Moria", a="Nud-melek", r=2, l="8.5s,103.7w" },
	["The Foundations of Stone"] = { z="Moria", a="Foundations of Stone", r=2, l="13.1s,100.9w" },
	["Nanduhirion"] = { z="Lothlorien", r=2, l="11.8s,78.5w" },
	["Cirin-en-Galadh"] = { z="Lothlorien", r=2, l="12.5s,66.7w" },
	["Fanuidhol"] = { z="Lothlorien", r=2, l="10.6s,71.6w" },
	["Mirk-eaves"] = { z="Mirkwood", r=2, l="15.7s,60.7w" },
	["The Dourstocks"] = { z="Mirkwood", r=2, l="14.3s,56.2w" },
	["The Skuttledells"] = { z="Mirkwood, r=2", r=2, l="12.6s,49.6w" },
	["Estolad Mernael"] = { z="Mirkwood", l="17.2s,54.8w" },
	["The Wild Ruin"] = { z="Mirkwood", r=2, l="15.4s,50.8w" },
	["Ashenslades"] = { z="Mirkwood", r=2, l="16.4s,47.8w" },
	["Fordinth"] = { z="Enedwaith", r=1, l="59.5s,12.8w" },
	["Windfells"] = { z="Enedwaith", r=1, l="62.0s,16.7w" },
	["Gloomglens"] = { z="Enedwaith", r=1, l="64.0s,21.5w" },
	["Nan Laeglin"] = { z="Enedwaith", r=1, l="67.3s,16.7w" },
	["Mournshaws"] = { z="Enedwaith", r=1, l="68.1s,20.1w" },
	["Thror's Coomb"] = { z="Enedwaith", r=1, l="68.9s,12.5w" },
	["Lich Bluffs"] = { z="Enedwaith", r=1, l="71.2s,16.1w" },
	["Trum Dreng"] = { z="Dunland", r=1, l="74.1s,21.9w" },
	["Bonevales"] = { z="Dunland", r=1, l="75.3s,15.7w" },
	["Tal Methedras"] = { z="Dunland", r=1, l="77.3s,8.9w" },
	["Pren Gwydh"] = { z="Dunland", r=1, l="79.0s,17.4w" },
	["South Gravenwood"] = { z="Dunland", r=1, l="80.9s,12.3w" },
	["Starkmoor"] = { z="Dunland", r=1, l="82.0s,19.3w" },
	["Carreglyn"] = { z="Dunland", r=1, l="85.6s,16.7w"},
	["Dunbog"] = { z="Dunland", r=1, l="86.2s,21.5w" },
	["Isendale"] = { z="Gap of Rohan", r=1, l="86.5s,7.7w" },
	["Isendale(2)"] = { z="Gap of Rohan", r=1, l="87.2s,10.8w" },
	["Nan Curunir"] = { z="Nan Curunir", r=1, l="84.2s,3.8w" },
-- Rhovanion
	["Thinglad"] = { z="Great River", r=2, l="19.7s,64.0w" },
	["Wailing Hills"] = { z="Great River", r=2, l="23.7s,64.6w" },
	["Limlight Gorge"] = { z="Great River", r=2, l="25.8s,68.1w" },
	["Parth Celebrant"] = { z="Great River", r=2, l="27.1s,58.1w" },
	["The Rushgore"] = { z="Great River", r=2, l="28.7s,54.1w" },
	["Brown Lands"] = { z="Great River", r=2, l="31.2s,51.6w" },
	["Langhold"] = { z="East Rohan", r=2, l="36.9s,53.6w" },
	["Harwick"] = { z="East Rohan", r=2, l="39.9s,51.3w" },
	["Floodwend"] = { z="East Rohan", r=2, l="45.3s,49.1w" },
	["Argonath"] = { z="East Rohan", r=2, l="49.9s,48.3w" },
	["Parth Galen"] = { z="East Rohan", r=2, l="58.3s,49.0w" },
	["Cliving"] = { z="East Rohan", r=2, l="44.5s,57.1w" },
	["Elthengels"] = { z="East Rohan", r=2, l="48.2s,52.5w" },
	["Faldham"] = { z="East Rohan", r=2, l="54.1s,58.5w" },
	["Eaworth"] = { z="East Rohan", r=2, l="46.9s,63.6w" },
	["Garsfeld"] = { z="East Rohan", r=2, l="53.6s,62.8w" },
	["Snowbourn"] = { z="East Rohan", r=2, l="59.5s,61.9w" },
	["The Fallows"] = { z="Wildermore", r=2, l="40.1s,60.4w" },
	["Writhendowns"] = { z="Wildermore", r=2, l="35.2s,59.7w" },
	["Whitshaws"] = { z="Wildermore", r=2, l="35.2s,65.7w" },
	["Refugee Camp"] = { z="Wildermore", r=2, l="38.4s,66.6w" },

	["Eastfold"] = { z="West Rohan", r=2, l="63.7s,63.9w" },
	["Edoras"] = { z="West Rohan", r=2, l="59.8s,76.9w" },
	["Fenmarch"] = { z="West Rohan", r=2, l="66.2s,59.1w" },
	["Kingstead"] = { z="West Rohan", r=2, l="56.3s,68.5w" },
	["Upbourn"] = { z="West Rohan", r=2, l="65.7s,73.6w" },
	["Broadacres"] = { z="West Rohan", r=2, l="46.5s,67.4w" },
	["Stonedeans"] = { z="West Rohan", r=2, l="47.3s,76.5w" },
	["Brockbridge"] = { z="West Rohan", r=2, l="50.6s,78.3w" },
	["Westfold"] = { z="West Rohan", r=2, l="59.2s,85.4w" },
	["Nan Curunir"] = { z="West Rohan", r=2, l="47.9s,89.4w" },
	["Entwood"] = { z="West Rohan", r=2, l="42.6s,78.5w" },
	["Eryn Lasgalen"] = { z="Strongholds", r=2, l="16.8n,34.2w" },
	["The Dale-lands"] = { z="Strongholds", r=2, l="22.7n,26.5w" },
	["N. Dale-lands"] = { z="Strongholds", r=2, l="30.3n,32.3w" },
	["Tham Taedol"] = { z="Strongholds", r=2, l="11.7n,46.1w" },
	["W. Ironfold"] = { z="Dwarf-holds", r=2, l="23.2n,17.6w" },
	["The Ironfold"] = { z="Dwarf-holds", r=2, l="26.1n,10.9w" },
	["Ered Mithrin"] = { z="Dwarf-holds", r=2, l="34.0n,42.4w" },
	["Wyrmgap"] = { z="Dwarf-holds", r=2, l="39.2n,38.1w" },
	["Khur Azan"] = { z="Azanulbizar", r=2, l="64.2n,133.3w" },
-- Gondor
	["The Paths of the Dead"] = { z="West Gondor", r=3, l="43.7s,74.7w" },
	["Blackroot Vale"] = { z="West Gondor", r=3, l="56.0s,66.0w" },
	["Lamwdon"] = { z="West Gondor", r=3, l="62.4s,59.8w" },
	["Tarlang's Crown"] = { z="West Gondor", r=3, l="69.6s,66.8w" },
	["Belfalas"] = { z="West Gondor", r=3, l="72.5s,59.3w" },
	["The Dead Marshes"] = { z="Dead Marshes", r=3, l="29.8s,11.7w" },
	["Ethring"] = { z="Central Gondor", r=3, l="71.3s,50.0w" },
	["Dor-en-ernil"] = { z="Central Gondor", r=3, l="78.1s,51.4w" },
	["Linhir"] = { z="Central Gondor", r=3, l="82.5s,44.2w" },
	["Pelargir"] = { z="Central Gondor", r=3, l="82.6s,35.0w" },
	["Upper Lebennin"] = { z="East Gondor", r=3, l="82.3s,30.3w" },
	["Lossarnach"] = { z="East Gondor", r=3, l="79.0s,24.4w" },
	["South Ithilien"] = { z="East Gondor", r=3, l="77.0s,19.4w" },
	["Bar Hurin"] = { z="East Gondor", r=3, l="73.3s,11.1w" },
	["SE Ithilien"] = { z="East Gondor", r=3, l="63.9s,6.3w" },
	["Minas Tirith"] = { z="Old Anorien", r=3, l="65.5s,16.7w" },
	["Pelennor"] = { z="Old Anorien", r=3, l="64.1s,15.2w" },
	["Crithost"] = { z="Old Anorien", r=3, l="55.3s,15.8w" },
	["Causeway Forts"] = { z="Old Anorien", r=3, l="63.0s,12.9w" },
	["Taur Druadan"] = { z="Far Anorien", r=3, l="47.3s,25.4w" },
	["Beacon Hills"] = { z="Far Anorien", r=3, l="45.0s,36.3w" },
-- Mordor
	["Osgiliath"] = { z="March of the King", r=4, l="62.9s,8.5w" },
	["North Ithilien1"] = { z="March of the King", r=4, l="60.9s,3.9w" },
	["Pelennor Fields"] = { z="March of the King", r=4, l="65.0s,14.7w" },
	["North Ithilien"] = { z="March of the King", r=4, l="45.1s,10.8w" },
	["Camp of the Host"] = { z="the Wastes", r=4, l="39.7s,11.1w" },
	["Haerondir"] = { z="the Wastes", r=4, l="35.2s,7.8w" },
	["Udun"] = { z="Gorgoroth", r=4, l="41.4s,0.4w" },
	["Barad-dur"] = { z="Gorgoroth", r=4, l="47.7s,24.3e" },
	["Dor Amarth"] = { z="Gorgoroth", r=4, l="48.3s,8.5e" },
	["Lhingris"] = { z="Gorgoroth", r=4, l="48.7s,5.9e" },
	["Magh Ashtu"] = { z="Gorgoroth", r=4, l="53.0s,11.0e" },
	["Agarnath"] = { z="Gorgoroth", r=4, l="54.7s,25.9e" },
	["Talath Urui"] = { z="Gorgoroth", r=4, l="56.8s,25.4e" },
	["Rath Cail"] = { z="Gorgoroth", r=4, l="59.7s,9.9e" },
	["Estolad Lan"] = { z="Morgul Vale", r=4, l="59.7s,9.9e" },
	["Cirith Ungo"] = { z="Morgul Vale", r=4, l="62.5s,1.3e" },
	["Erebor"] = { z="Strongholds", r=4, l="13.4n,135.1w" },
	["Thuringwath"] = { z="Strongholds", r=4, l="69.9s,7.4e" },
	["Lebennin Valley"] = { z="King's Gondor", r=4, l="77.3s,34.7w" },
	["Lossarnach"] = { z="King's Gondor", r=4, l="74.4s,21.5w" },
	["Halach"] = { z="King's Gondor", r=4, l="80.3s,27.1w" },
	["Pelargir"] = { z="King's Gondor", r=4, l="82.6s,35.0w" },
	["Dor-en-Ernil"] = { z="King's Gondor", r=4, l="78.1s,51.4w" },
	["Belfalas"] = { z="King's Gondor", r=4, l="72.5s,59.3w" },
	["Dinadab"] = { z="King's Gondor", r=4, l="62.4s,59.8w" },
	["Tarlang's Crown"] = { z="King's Gondor", r=4, l="69.6s,66.8w" },
	["Blackroot Vale"] = { z="King's Gondor", r=4, l="56.0s,66.0w" },
	["Barad Faen"] = { z="Outer Gondor", r=4, l="66.5s,82.6w" },
	["NE Pinnath Gelin"] = { z="Outer Gondor", r=4, l="53.3s,79.9w" },
-- Vales of Anduin starts here
	["Gladden Fields"] = { z="Vales of Anduin", r=2, l="1.5s,57.3w" },
	["Vegbar"] = { z="Vales of Anduin", r=2, l="8.2n,58.3w" },
	["Meadhollow"] = { z="Vales of Anduin", r=2, l="14.5n,54.3w" },
	["Gladden Falls"] = { z="Vales of Anduin", r=2, l="1.0n,63.7w" },
-- Wells of Anduin starts here
	["Flooddells"] = { z="Wells of Anduin", r=2, l="17.4n,57.6w" },
	["Misthallow"] = { z="Wells of Anduin", r=2, l="26.4n,58.5w" },
-- Elderslade starts here
	["Zudramdan"] = { z="Elderslade", r=2, l="36.9n,64.4w" },
	["Elderslade"] = { z="Elderslade", r=2, l="33.0n,59.9w" },
	["Zarkul-sulun"] = { z="Elderslade", r=2, l="100.6s,16.9w" },
	["Zirakazhar"] = { z="Zirakazhar", r=2, l="64.2s,133.3w" },
-- Gundabad starts here
	["Car Bronach"] = { z="Gundabad", r=2, l="50.1n,67.4w" },
	["Welkin-lofts"] = { z="Gundabad", r=2, l="46.5n,75.4w" },
	["Clovengap"] = { z="Gundabad", r=2, l="41.0s,120.3w" },
	["Asbaj-khirfin"] = { z="Gundabad", r=2, l="45.9s,112.1w" },
	["Pit of Stonejaws"] = { z="Gundabad", r=2, l="43.1s,113.1w" },
-- Haradwaith starts here
	["Khaphar"] = { z="Cape of Umbar", r=5, l="16.1,113.5w" },
	["W Aradar"] = { z="Cape of Umbar", r=5, l="16.1,102.2w" },
	["Bej Magha"] = { z="Cape of Umbar", r=5, l="18.5,108.2w" },
	["Umbar Baharbel"] = { z="Cape of Umbar", r=5, l="17.0s,97.6w" },
	["Mar Naphra"] = { z="Zirer Tarka", r=5, l="3.5s,130.8w" },
	["Halrax"] = { z="Zirer Tarka", r=5, l="9.3s,126.9w" },
	["Jeb Khatel"] = { z="Zirer Tarka", r=5, l="0.3N,133.7w" },
	}
Region = { Eriador=1, Rhovanion=2, Gondor=3, Mordor=4, Haradwaith=5 }

Zones = { }
for n,t in pairs(Camps) do
	local z = t.z
	if Zones[z] then Zones[z] = Zones[z]+1
	else Zones[z] = 1 end
end
zones = { }
for name in pairs(Zones) do
    table.insert(zones,name)
end
table.sort(zones)
